package com.ruoyi.cs.mapper;

import java.util.List;
import com.ruoyi.cs.domain.CsExpireRemind;
import com.ruoyi.cs.domain.CsResourceCharging;

/**
 * 到期提醒Mapper接口
 *
 * @author ruoyi
 * @date 2024-05-07
 */
public interface CsExpireRemindMapper
{
    /**
     * 查询到期提醒
     *
     * @param remindId 到期提醒主键
     * @return 到期提醒
     */
    public CsExpireRemind selectCsExpireRemindByRemindId(String remindId);

    /**
     * 查询到期提醒列表
     *
     * @param csExpireRemind 到期提醒
     * @return 到期提醒集合
     */
    public List<CsExpireRemind> selectCsExpireRemindList(CsExpireRemind csExpireRemind);

    /**
     * 新增到期提醒
     *
     * @param csExpireRemind 到期提醒
     * @return 结果
     */
    public int insertCsExpireRemind(CsExpireRemind csExpireRemind);

    /**
     * 修改到期提醒
     *
     * @param csExpireRemind 到期提醒
     * @return 结果
     */
    public int updateCsExpireRemind(CsExpireRemind csExpireRemind);

    /**
     * 删除到期提醒
     *
     * @param remindId 到期提醒主键
     * @return 结果
     */
    public int deleteCsExpireRemindByRemindId(String remindId);

    /**
     * 批量删除到期提醒
     *
     * @param remindIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCsExpireRemindByRemindIds(String[] remindIds);

    /**
     * 批量新增到期提醒
     *
     * @param list 到期提醒列表
     * @return 结果
     */
    public int bachInsertCsExpireRemind(List<CsExpireRemind> list);

    /**
     * 删除资源计费说明（根据相关ID）
     *
     * @param resId 资源计费说明主键
     * @return 结果
     */
    public int deleteCsExpireRemindByResId(String resId);
}
